version: '3.6'
services:
  vpos1:
    hostname: vpos1
    image: ${DOCKER_REGISTRY:-dockerregistry.artix.su:2443}/artix-vpos:${TAG:-artix-4.6.246-2}
    restart: always
    ports:
      - 8090:8090
      - 7795:7795
    environment:
      - CASH_SHOP_CODE=${CASH_SHOP_CODE:-vpos}
      - CASH_CASH_CODE=${CASH_CASH_CODE:-vpos}
      - START_SERVICES=${START_SERVICES:-"qpid sync nes mysql vpos"}
      - SET_TIMEZONE=${SET_TIMEZONE:-Asia/Krasnoyarsk}
      - PUPPET_SERVER_NAME=${PUPPET_SERVER_NAME:-puppet}
      - PUPPET_SERVER_IP=${PUPPET_SERVER_IP:-}
      - LANG=${LANG:-ru_RU.UTF-8}
    volumes:
      - mysql_vpos1:/linuxcash/cash/data/mysql/
      - conf_vpos1:/linuxcash/cash/conf/
      - qpid_vpos1:/var/spool/qpid/
      - puppet_ssl_vpos1:/var/lib/puppet/ssl/
      - license_vpos1:/linuxcash/cash/license/

volumes:
  mysql_vpos1:
  conf_vpos1:
  qpid_vpos1:
  puppet_ssl_vpos1:
  license_vpos1:

networks:
  default:
